# react-hooks

## Introduction

**react-hooks** is an npm package that brings together multiple react hooks useful both in the development of the ecosystem in my home lab and for the general public.

## Package installation

```bash
// with npm
npm i --save @flare/react-hooks --registry https://lab.code-rove.com/public-node-registry

// with yarn
yarn add @flare/react-hooks --registry https://lab.code-rove.com/public-node-registry
```

## How to use the package

```jsx
import { useWindowSize, useLink, useTitle } from "@flare/react-hooks";
```

## Changelog

**1.0.0** - This version includes the initial version of react-hooks package.  
**1.0.1** - Small changes related to appearance (domain and readme updates).  
**1.1.0** - The project was migrated to TypeScript, and unit testing using Jest was added to it.
